xcb_x_print_print_put_document_data(3)

NAME
xcb_x_print_print_put_document_data -

SYNOPSIS
#include <xcb/xprint.h>

  Request function

xcb_void_cookie_t xcb_x_print_print_put_document_data(xcb_connection_t *conn, xcb_drawable_t drawable, uint32_t len_data, uint16_t len_fmt, uint16_t len_options, const uint8_t *data, uint32_t doc_format_len, const xcb_x_print_string8_t *doc_format, uint32_t options_len, const xcb_x_print_string8_t *options);

REQUEST ARGUMENTS

conn
    The XCB connection to X11.

drawable
    TODO: NOT YET DOCUMENTED.

len_data
    TODO: NOT YET DOCUMENTED.

len_fmt
    TODO: NOT YET DOCUMENTED.

len_options
    TODO: NOT YET DOCUMENTED.

data
    TODO: NOT YET DOCUMENTED.

doc_format_len
    TODO: NOT YET DOCUMENTED.

doc_format
    TODO: NOT YET DOCUMENTED.

options_len
    TODO: NOT YET DOCUMENTED.

options
    TODO: NOT YET DOCUMENTED.

DESCRIPTION

RETURN VALUE
Returns an xcb_void_cookie_t. Errors (if any) have to be handled in the event loop. If you want to handle errors directly with xcb_request_check instead, use xcb_x_print_print_put_document_data_checked. See xcb-requests(3) for details.

ERRORS
This request does never generate any errors.

SEE ALSO

AUTHOR
Generated from xprint.xml. Contact xcb@lists.freedesktop.org for corrections and improvements.